# Method: projects.locations.features.list

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#body.ListFeaturesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#body.aspect)
- [Examples](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#examples)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features/list#try-it)

Lists Features in a given project and location.

### HTTP request

`GET https://gkehub.googleapis.com/v1alpha/{parent=projects/*/locations/*}/features`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent (project and location) where the Features will be listed. Specified in the format `projects/*/locations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `gkehub.features.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` When requesting a 'page' of resources, `pageSize` specifies number of resources to return. If unspecified or set to 0, all resources will be returned. |
| `pageToken` | `string` Token returned by previous call to `features.list` which specifies the position in the list from where to continue listing the resources. |
| `filter` | `string` Lists Features that match the filter expression, following the syntax outlined in <https://google.aip.dev/160>. Examples: - Feature with the name "servicemesh" in project "foo-proj": name = "projects/foo-proj/locations/global/features/servicemesh" - Features that have a label called `foo`: labels.foo:* - Features that have a label called `foo` whose value is `bar`: labels.foo = bar |
| `orderBy` | `string` One or more fields to compare and use to sort the output. See <https://google.aip.dev/132#ordering>. |
| `returnPartialSuccess` | `boolean` Optional. If set to true, the response will return partial results when some regions are unreachable and the unreachable field in Feature proto will be populated. If set to false, the request will fail when some regions are unreachable. |

### Request body

The request body must be empty.

### Response body

Response message for the `GkeHub.ListFeatures` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resources": [ { object (`https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features#Feature`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `resources[]` | ``object (`https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1alpha/projects.locations.features#Feature`)`` The list of matching Features |
| `nextPageToken` | `string` A token to request the next page of resources from the `features.list` method. The value of an empty string means that there are no more resources to return. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).